Bug 51933 - Can't configure XFree86 for Trident Cyberblade XP
Can't configure XFree86 for Trident Cyberblade XP
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-16 23:41 EDT by Carl T. Miller
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-17 00:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carl T. Miller 2001-08-16 23:41:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
I can't get XFree86 to work on a new laptop with the Trident
Cyberblade XP chip.  There is supposed to be support for it with
XFree86 v4.1.0, but I couldn't find it, either during the install or
using Xconfigurator.  I read something about using frame buffer
(fbdev) and including VGA=791 in the lilo.conf settings.  I've
tried several servers and different modes...no luck so far.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run Xconfigurator
2. Choose the Cyberblade, Generic VGA or SVGA driver.
3. Test.

Actual Results:  The screen may pick up an eerie glow (this is the roswell 
after all), will go blank, or will scroll rapidly (using 800x600
mode VGA).  If any event the server doesn't start correctly.

Expected Results:  Xwindows would start in either 1024x768 or 800x600 mode.

Additional info:

The only unusual thing I noticed is that probing did not help, and
it would lock up the system when I'd try to reboot into Windows.
If this happened, I'd have to remove the battery to get it to
Comment 1 Carl T. Miller 2001-08-17 00:32:51 EDT
Sorry to report this so soon.  I looked at the output of running startx, and
it showed I needed the tgui9420dgi driver.  The combination of VGA=791,
the tgui9420dgi driver and 24 bit 1024x768 mode works.
Comment 2 Mike A. Harris 2001-08-18 04:39:28 EDT
Ok, good to hear it works for you.  Can you attach your working
XFree86 config file?

Note You need to log in before you can comment on or make changes to this bug.